<?session_start();
require("../autentificador/aut_verifica.inc.php");
require("../conectar.php");
$palabra=$_POST["idobra"];
$val=$_GET['val'];
if($val==1){
$palabra=$_GET['palabra'];
}
$link=$_POST['link'];
$usuario=$_SESSION["usuario_login"];
?>
<link rel="stylesheet" href="css/estilos.css" type="text/css">
<script type="text/javascript" src="js/jquery-1.8.2.min.js"></script>
<script type="text/javascript" src="js/scroll.js"></script>
<script type="text/javascript" src="js/aplicaciones.js"></script>
<link rel="stylesheet" type="text/css" media="all" href="calendario/jsDatePick_ltr.min.css" />
<script type="text/javascript" src="calendario/jsDatePick.min.1.3.js"></script>
<script type="text/javascript">
	     window.onload = function(){
		 new JsDatePick({
			useMode:2,
			target:"fi",
			dateFormat:"%Y-%m-%d"
		    });
			new JsDatePick({
			useMode:2,
			target:"ff",
			dateFormat:"%Y-%m-%d"
		    });
	    };
         </script>
<?
$sql="SELECT * FROM obra WHERE idobra='$palabra'";
$r=mysql_query($sql);
$n=mysql_num_rows($r);
if($n!=0){
     while($res=mysql_fetch_array($r)){
								?>
							<table class="tabla" style="width:100%;" border="0">	
								<tr>
								     <td colspan="4" bgcolor="#D8D8D8">
									 <a href="#" class="btntarea" onclick="javascript:imprimir('infoSocio');"><img src="img/impresoraIcon.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;">imprimir</a><a href="#" class="btntarea" id="btnSolAd" onclick="javascript:openForm('modobra',this.id);"><img src="img/contratoIcon.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;">Modificar</a><a href="#" class="btntarea" id="btnAcAd" onclick="javascript:openForm('presupuesto',this.id);"><img src="img/contratoIcon.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;">Presupuestos</a><a href="#" class="btntarea"  id="opcreq" onclick="javascript:openForm('opcionesreq',this.id);"><img src="img/contratoIcon.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;">Requisiciones</a><a href="#"  class="btntarea" id="btncontrolo" onclick="javascript:openForm('controlobra',this.id);"><img src="img/carpetaIcon.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;">Control de obra</a>
									 </td>
								</tr>
							</table>
												
													
						<div id="modobra" class="formHide">
						   <form action="selbuscarproveedor.php" name="solicitudAdmision" id="solicitudAdmision" method="POST" onSubmit="return validaContratos(1)">
							<table class="tabla" style="width:100%;" border="0">
								<tr>
								     <td colspan="4" class="sbtitulo">Modificar obra <a href="#" onclicK="javascript:$('.formHide').slideUp();$('.btntarAct').removeClass('btntarAct');" class="btnclose">x</a></td>
								</tr>
								<tr>								     
								     <td class="dato"><b>Nombre:</b></td>
									 <td><input type="text" name="nombre" id="nombre" value="<?echo $res['nombre'];?>"></td>
									 <td class="dato"><b>Status Obra:</b></td>
									 <td><input type="text" name="telefono" value="<?echo $res['statusobra'];?>"></td>	
								</tr>
								<tr>
								  	<td class="dato"><b>Ubicacion:</b></td>
									 <td><input type="text" name="ubicacion" value="<?echo $res['ubicacion'];?>"></td>
								</tr>
								<tr>
									 <td class="dato"><b>Fecha Inicio:</b></td>
									 <td><input type="text" name="fi" value="<?echo $res['finicio'];?>"></td>
									 <td class="dato"><b>Fecha termino:</b></td>
									 <td><input type="text" name="ff" value="<?echo $res['ftermino'];?>"></td>
								</tr>
								<tr>
									 <td class="dato"><b>m<sup>2</sup> Terreno:</b></td>
									 <td><input type="text" name="formapago" value="<?echo $res['metrosterreno'];?>"></td>
									 <td class="dato"><b>m<sup>2</sup> Construccion:</b></td>
									 <td><input type="text" name="banco" value="<?echo $res['metroscons'];?>"></td>									 
					            </tr>
								<tr>
								     <td colspan="4" class="sbtitulo">Prototipos y etapas</td>
								</tr>
<script>
n=0;
function crea(id,op){
     n++;
     cont=document.getElementById(id);
	 tr=document.createElement('tr');
	 tr.id="archivo"+id+n;
	 tr.setAttribute("class","tr");
	
	 //td1 = document.createElement('td'); // primer td
	 td2 = document.createElement('td'); // segundo td
	 td3 = document.createElement('td'); // tercer td
	 td4 = document.createElement('td'); // cuarto td
	 td5 = document.createElement('td');
	 td6 = document.createElement('td');
	 td7 = document.createElement('td');
	 ele1 = document.createElement('input'); // 5
	 ele2 = document.createElement('input'); // 5
     ele3 = document.createElement('input'); // 5
     ele4 = document.createElement('input');
	 ele5 = document.createElement('input');
	 //ele6 = document.createElement('input');
	 
	 //primera celda
	 //td1.innerHTML=id;
	 //tr.appendChild(td1);
	 //termina primera celda
	 
	 //tercera celda
	 //td2.setAttribute("align","center");
	 //ele2.name=id+"[]";
	 td2.name="status[]";
	 td2.innerHTML="<select name='std[]' id='std"+n+"'class='selectsa'><option selected></option><option value='EN CURSO'>EN CURSO</option><option value='TERMINADA'>TERMINADA</option></select>";
	 tr.appendChild(td2);

	 ele3.name="prototipo[]";
	 ele3.id="proto"+n;
	 ele3.type="text";
	 ele3.setAttribute("class","inputsa");
	 ele3.setAttribute("onkeyup","this.value=this.value.toUpperCase()");
	 td3.appendChild(ele3);
	 tr.appendChild(td3);
	 //termina tercera celda

	 ele4.name="paquete[]";
	 ele4.id="paq"+n;
	 ele4.type="text";
	 ele4.setAttribute("class","inputsa");
	 ele4.setAttribute("onkeyup","this.value=this.value.toUpperCase()");
	 td4.appendChild(ele4);
	 tr.appendChild(td4);
	 
	 ele5.name="noviv[]";
	 ele5.id="noviv"+n;
	 ele5.type="text";
	 ele5.setAttribute("class","inputsa");
	 ele5.setAttribute("onkeyup","this.value=this.value.toUpperCase()");
	 td5.appendChild(ele5);
	 tr.appendChild(td5);
	 
	 //td6.name="tviv[]";
	 td6.innerHTML="<select name='tipoviv[]' id='tipoviv"+n+"' class='selectsa'><option selected></option><option value='DEPARTAMENTOS'>DEPARTAMENTOS</option><option value='MULTIFAMILIAR'>MULTIFAMILIAR</option><option value='UNIFAMILIAR'>UNIFAMILIAR</option></select>";
	 tr.appendChild(td6);
	 
	  td7.innerHTML='<div onclick="borrar(\''+id+'\',\'archivo'+id+n+'\')" class="borrar"><b style="position:absolute;left:820px;margin:-8px auto;cursor:pointer;cursor:hand;"><img src="img/mal.png" width="20" height="20"></b></div>';
	  tr.appendChild(td7);
	  
	  	 //ele5.name="tipo"+id+"[]";
	 /*ele6.name="tipo[]";
	 ele6.type="hidden";
	 ele6.value=id;
	 ele6.size=50;
	 td7.appendChild(ele6);
	 tr.appendChild(td7);*/
	 
	 cont.appendChild(tr);

	 /*btnupload("subir"+n,"destino"+n,"ruta"+n);
	 document.getElementById("total").value=n;*/
	 
}

function borrar(id,tr){
     cont=document.getElementById(id);
     obj=document.getElementById(tr);
	 cont.removeChild(obj);
	var button = $('#fake');
	new AjaxUpload('#fake', {
        action: 'upload.php',
		onSubmit : function(file , ext){
		if (! (ext && /^(jpg|jpeg|png|gif|pdf)$/.test(ext))){
			// extensiones permitidas
			alert('Error: Solo se permiten imagenes');
			// cancela upload
			return false;
		} else {
			button.html('<b style="position:absolute;left:4px;cursor:pointer;cursor:hand;">Subiendo</b>');
			this.disable();
		}
		},
		onComplete: function(file, response){
			button.html('<b style="position:absolute;left:20px;cursor:pointer;cursor:hand;">Subir</b>');
			// enable upload button
			this.enable();			
			// Agrega archivo a la lista
			$('#fake').appendTo('.files').text(response);
		}
	});
}
function carga(f){
   var uni=document.getElementById('unidad');
   uni.length=0;
  <?
    $sql="SELECT * FROM material";
	$rd=mysql_query($sql);

	while ($ld=mysql_fetch_object ($rd)){
  ?>
      if(f.descripcion.value=='<?echo$ld->idmaterial?>'){
	    uni.options[0]=new Option("<?echo$ld->unidad;?>","<?echo$ld->unidad;?>");
		<?
		 $uni=mysql_query("SELECT * from unidades");
	     $i=0;		   
		  while($u=mysql_fetch_array($uni)){
		  $i++;?>
			   uni.options[<?echo$i?>]=new Option("<?echo$u['unidad'];?>","<?echo$u['unidad'];?>");
         <?}?>
	  }
  <?}?>
}
</script>								
								 <tr>
									<td  align="left" colspan="5">Agregar Prototipo <a href="javascript:crea('usosuelo','suelo')"><img src="img/mas.png" width="15"  height="15"></a></td>
									<input type="hidden" id="totus">
								</tr>
								 <tr id="suelo">
									 <td colspan="5">
										 <table id="usosuelo" width="100%">
											 <tr>
												 <td width="150" align="center"><b>Status</b></td>
												 <td width="150" align="center"><b>Prototipo</b></td>
												 <td width="150" align="center"><b>Etapa</b></td>
												 <td width="150" align="center"><b>Numero vivendas</b></td>
												 <td width="150" align="center"><b>Tipo de vivienda</b></td>
												 <td width="150"><b>&nbsp;&nbsp;&nbsp;&nbsp;Quitar&nbsp;&nbsp;&nbsp;&nbsp;</b></td>
												 <td></td>
											 </tr>
										 </table>	
									 </td>
								 </tr>
								 <?
								     $identificador=$res['identificador'];
									 $sql="SELECT * FROM prototipo WHERE identificador='$identificador'";
									 $re=mysql_query($sql);
									 $n=1;
									 while($ls=mysql_fetch_array($re)){
								?>
							 <script>
							     crea('usosuelo','suelo');
								 document.getElementById("std<?echo$n?>").value="<?echo $ls['status']?>";
								 document.getElementById("proto<?echo$n?>").value="<?echo $ls['prototipo']?>";
								 document.getElementById("paq<?echo$n?>").value="<?echo $ls['paquete']?>";
								 document.getElementById("noviv<?echo$n?>").value="<?echo $ls['noviviendas']?>";
								 document.getElementById("tipoviv<?echo$n?>").value="<?echo $ls['tipoviv']?>";
							 </script>
								<?
										 $n++;
									 }
								?>
						<tr>
							 <td></td>
							 <td align="right"><br><input type="submit" name="registrar" id="registrar" value="Modificar" class="submit"></td>
					    </tr>
							</table>
						</form>
					</div>
					<div id="presupuesto" class="formHide">
					  <table class="tabla" style="width:100%;" border="0">
					    <tr><td></td></tr>
						<tr>
						<td><a href="#" class="btntarea2" id="capturas" onclick="javascript:openForm2('captura',this.id);"><img src="img/contratoIcon.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;">Capturar</a><a href="#" class="btntarea2"  id="verp" onclick="javascript:openForm2('ver',this.id);"><img src="img/buscar.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;">Ver</a><a href="#" class="btntarea2"  id="mod" onclick="javascript:openForm2('mod',this.id);"><img src="img/contratoIcon.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;">Modificar</a><a href="#" onclicK="javascript:$('.formHide2').slideUp();$('.btntarAct2').removeClass('btntarAct2');" class="btnclose">x</a></td>
						</tr>
					 </table>
					</div>
					<div class="formHide2" id="captura">
					<table class="tabla" style="width:100%;">
					  <?
					  $eje=mysql_query("SELECT * from material where tipo='MATERIAL'");					
						 //prototipos
				         $pro="select idprototipo,prototipo,paquete,noviviendas,tipoviv from prototipo where identificador='$res[identificador]'";
						 $ejepro=mysql_query($pro);
						 $i=1;
						 while($regp=mysql_fetch_array($ejepro)){?>					 
						   <tr>
							   <td><label for="prototipo<?echo$i;?>"><?echo $regp['prototipo']." ".$regp['paquete']." ".$regp['noviviendas']." ".$regp['tipoviv']?></label></td>
							   <td><input type="checkbox" name="prototipo" id="prototipo<?echo$i;?>" onclick="javascript:asignapro(<?echo$regp['idprototipo'];?>);" class="chkclass"></td>
						   </tr>
						<?$i++;}?>
						</table>
					   <form method="post" action="#" name="fpre">			   
					   <table class="tabla" style="width:100%;" border="0">
					      <tr>
							<td colspan="10" class="sbtitulo">Capturar Insumo </td>
						  </tr>
					      <tr>
							<td class="dato"><b>Descripcion:</b></td>
							<td class="dato"><b>Unidad:</b></td>
							<td class="dato"><b>Cantidad:</b></td>
							<td class="dato"><b>Costo:</b></td>
							<td class="dato"><b>Importe:</b></td>
						 </tr>
                         <tr>						 
							<td>
							  <select name="descripcion" id="descripcion" class="selects" onchange="carga(this.form)">
							    <option></option>
							   <?while($pre=mysql_fetch_array($eje)){?>
							    <option value="<?echo$pre['idmaterial'];?>"><?echo $pre['descripcion'];?></option>
							   <?}?> 								
							  </select>
							</td>
							<td><select name="unidad" id="unidad"></select></td>
						    <td><input type="text" name="cantidad" id="cantidad" onkeyup="suma()"></td>
						    <td><input type="text" name="costo" id="costo" onkeyup="suma()"></td>
						    <td><input type="text" name="importe" id="importe"></td>							
					     </tr>
						 <tr><td><a href="javascript:guardapresupuesto();">Guardar</a></td></tr>
					  </table>
					  <input type="hidden" name="prototiporeg" id="prototiporeg">
					  <input type="hidden" name="idobra" id="idobra" value="<?echo$palabra?>">
					 </form>
					  <div id="guardapresupuesto"></div>
					</div>
					<div class="formHide2" id="ver">
					<br>
					  <a href="#" class="btntareap" onclick="javascript:imprimir('verpresupuesto');"><img src="img/impresoraIcon.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;" width="15" height="15"></a>
					  
					  <br>
					  <div id="verpresupuesto">
					  <table class="tabla" style="width:100%;">
					  <?
					  $eje=mysql_query("SELECT * from material where tipo='MATERIAL'");					
						 //prototipos
				         $pro="select idprototipo,prototipo,paquete,noviviendas,tipoviv from prototipo where identificador='$res[identificador]'";
						 $ejepro=mysql_query($pro);
						 $j=1;
						 while($regp=mysql_fetch_array($ejepro)){?>					 
						   <tr>
							   <td><label for="prototipov<?echo$j?>"><?echo $regp['prototipo']." ".$regp['paquete']." ".$regp['noviviendas']." ".$regp['tipoviv']?></label></td>
				<td><input type="checkbox" name="prototipov" id="prototipov<?echo$j?>" onclick="javascript:verpres(<?echo$regp['idprototipo'];?>,'<?echo$palabra;?>');" class="pre"></td>
						   </tr>
						<?$j++;}?>
						</table>					  
	                    <div id="verpre"></div>
                    </div>					  
					</div>					
					<div id="infoSocio" >
							<table class="tabla" style="width:100%;">
								<tr>
								     <td colspan="5" class="sbtitulo">Informaci&oacute;n de la obra</td>
								</tr>
								<tr>
								  	<td class="dato"><b>Nombre:</b> </td>
									 <td><?echo $res['nombre'];?></td>
						             <td class="dato"><b>Ubicaci&oacute;n:</b> </td>
									 <td><?echo $res['ubicacion'];?></td>
								</tr>
								<tr>
									 <td class="dato"><b>Fecha de inicio:</b> </td>
									 <td><?echo $res['finicio'];?></td>
									 <td class="dato"><b>Fecha de termino:</b> </td>
									 <td><?echo $res['ftermino'];?></td>
					            </tr>
								<tr>
						             <td class="dato"><b>Status de obra:</b> </td>
									 <td><?echo $res['statusobra'];?></td>
					            </tr>
								<tr>
									 <td class="dato"><b>m<sup>2</sup> Terreno:</b></td>
									 <td><?echo $res['metrosterreno'];?></td>								
						             <td class="dato"><b>m<sup>2</sup> Construcci&oacute;n:</b> </td>
									 <td><?echo $res['metroscons'];?></td>
					            </tr>
								<tr>
								     <td colspan="5" class="sbtitulo">Prototipos</td>
								</tr>
								<tr>
								  <td class="dato"><b>Status</b></td>
								  <td class="dato"><b>Prototipo</b></td>
								  <td class="dato"><b>Paquete</b></td>
								  <td class="dato"><b>No. Viviendas</b></td>
								  <td class="dato"><b>Tipo de Vivienda</b></td>
								</tr>
								 <?
								     $identificador=$res['identificador'];
									 $sql="SELECT * FROM prototipo WHERE identificador='$identificador'";
									 $re=mysql_query($sql);
									 $n=1;
									 while($ls=mysql_fetch_array($re)){
										 ?>
								<tr>
								  <td><?echo $ls['status'];?></td>
								  <td><?echo $ls['prototipo'];?></td>
								  <td><?echo $ls['paquete'];?></td>
								  <td><?echo $ls['noviviendas'];?></td>
								  <td><?echo $ls['tipoviv'];?></td>
								</tr>

										 <?
										 $n++;
									 }
								 ?>
							</table>
						</div>

<script>
function cargareq(f,n){
   var uni=document.getElementById('unidadreq'+n).value;
   var mat=document.getElementById('stdreq'+n).value;
   //uni.length=0;
   <?
    $sqlm="SELECT idmaterial,unidad FROM material";
	$rdm=mysql_query($sqlm);
	while($ldm=mysql_fetch_object ($rdm)){
  ?>
       if(mat=='<?echo$ldm->idmaterial;?>'){
			document.getElementById('unidadreq'+n).value="<?echo$ldm->unidad;?>";		 
		}
  <?}?>
}
n=0;
function materialreq(id,op){
     n++;
     cont=document.getElementById(id);
	 tr=document.createElement('tr');
	 tr.id="archivo"+id+n;
	 tr.setAttribute("class","tr");
	
	 //td1 = document.createElement('td'); // primer td
	 td2 = document.createElement('td'); // segundo td
	 td3 = document.createElement('td'); // tercer td
	 td4 = document.createElement('td'); // cuarto td
	 td5 = document.createElement('td');
	 td6 = document.createElement('td');
	 //td7 = document.createElement('td');
	 ele1 = document.createElement('input'); // 5
	 ele2 = document.createElement('input'); // 5
     ele3 = document.createElement('input'); // 5
     ele4 = document.createElement('input');
	 ele5 = document.createElement('input');
	 //ele6 = document.createElement('input');
	 
	 //primera celda
	 //td1.innerHTML=id;
	 //tr.appendChild(td1);
	 //termina primera celda
	 
	 //tercera celda
	 //td2.setAttribute("align","center");
	 //ele2.name=id+"[]";
	 if(id=="material"){
	 <?
	   $sql="select idmaterial,descripcion from material";
	   $eje=mysql_query($sql);
	 ?>
	 td2.name="status[]";
	 td2.innerHTML="<select name='std[]' id='stdreq"+n+"' class='selectsa' onchange='cargareq(this.form,"+n+")'><option selected></option><?while($dat=mysql_fetch_array($eje)){?><option value='<?echo htmlentities($dat[idmaterial]);?>'><?echo htmlentities($dat[descripcion]);?></option> <?}?></select>";
	 tr.appendChild(td2);	 
	 }else{
	 td2.name="status[]";
	 td2.innerHTML="<select name='std[]' id='stdreq"+n+"'class='selectsa'><option selected></option><option value='EN CURSO'>EN CURSO</option><option value='TERMINADA'>TERMINADA</option></select>";
	 tr.appendChild(td2);
	 }

	 ele3.name="unidad[]";
	 ele3.id="unidadreq"+n;
	 ele3.type="text";
	 ele3.setAttribute("readonly","readonly");
	 ele3.setAttribute("class","inputsa");
	 ele3.setAttribute("onkeyup","this.value=this.value.toUpperCase()");
	 td3.appendChild(ele3);
	 tr.appendChild(td3);
	 //termina tercera celda

	 ele4.name="cantidad[]";
	 ele4.type="text";
	 ele4.setAttribute("class","inputsa");
	 ele4.setAttribute("onkeyup","this.value=this.value.toUpperCase()");
	 td4.appendChild(ele4);
	 tr.appendChild(td4);
	 
	 ele5.name="obs[]";
	 ele5.type="text";
	 ele5.setAttribute("class","inputsa");
	 ele5.setAttribute("onkeyup","this.value=this.value.toUpperCase()");
	 td5.appendChild(ele5);
	 tr.appendChild(td5);
	 
	  td6.innerHTML='<div onclick="borrar(\''+id+'\',\'archivo'+id+n+'\')" class="borrar"><b style="position:absolute;left:660px;margin:-8px auto;cursor:pointer;cursor:hand;"><img src="img/mal.png" width="20" height="20"></b></div>';
	  tr.appendChild(td6);
	  
	  	 //ele5.name="tipo"+id+"[]";
	 /*ele6.name="tipo[]";
	 ele6.type="hidden";
	 ele6.value=id;
	 ele6.size=50;
	 td7.appendChild(ele6);
	 tr.appendChild(td7);*/
	 
	 cont.appendChild(tr);

	 btnupload("subir"+n,"destino"+n,"ruta"+n);
	 document.getElementById("total").value=n;
	 
}

function borrar(id,tr){
     cont=document.getElementById(id);
     obj=document.getElementById(tr);
	 cont.removeChild(obj);
	var button = $('#fake');
	new AjaxUpload('#fake', {
        action: 'upload.php',
		onSubmit : function(file , ext){
		if (! (ext && /^(jpg|jpeg|png|gif|pdf)$/.test(ext))){
			// extensiones permitidas
			alert('Error: Solo se permiten imagenes');
			// cancela upload
			return false;
		} else {
			button.html('<b style="position:absolute;left:4px;cursor:pointer;cursor:hand;">Subiendo</b>');
			this.disable();
		}
		},
		onComplete: function(file, response){
			button.html('<b style="position:absolute;left:20px;cursor:pointer;cursor:hand;">Subir</b>');
			// enable upload button
			this.enable();			
			// Agrega archivo a la lista
			$('#fake').appendTo('.files').text(response);
		}
	});
}
</script>
					<?
					 $sqlsol="select CONCAT(nombre,' ',apat,' ',amat) as nombre,idempleado,nivel_acceso from empleados where usuario='$usuario'";
					 $ejesol=mysql_query($sqlsol);
					 $sol=mysql_fetch_array($ejesol);
					 $nombresol=$sol['nombre'];
					 $idemp=$sol['idempleado'];
					 $nivel_acceso=$sol['nevel_acceso'];
		
					 $nomdia=array("DO","LU","MA","MI","JU","VI","SA");
					 $nd=Date("w");
					 $nod=Date("d");
					 $nm=Date("m");
					 $na=Date("y");
					 $h=Date("H");
					 $m=Date("i");
					 $s=Date("s");
					 $al=rand(1,$s);
					 $cod_=$nomdia[$nd].$nod.$nm.$na.$h.$m.$s.$usuario.$al;
					?>
					<div id="opcionesreq" class="formHide">
					  <table class="tabla" style="width:100%;" border="0">
						<tr>
						<td><a href="#" class="btntarea2" id="vreq" onclick="javascript:openForm2('verreq',this.id);"><img src="img/contratoIcon.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;">Registrar</a>
						<a href="#" class="btntarea2"  id="consreq" onclick="javascript:openForm2('consultarreq',this.id);"><img src="img/buscar.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;">Ver requisiones</a><a href="#" onclicK="javascript:$('.formHide2').slideUp();$('.btntarAct3').removeClass('btntarAct3');" class="btnclose">x</a></td>
						</tr>
					 </table>
					</div>
					<div id="verreq" class="formHide2">
					<form name="datosregistro" id="datosregistro" action="solrequisicion2.php<?echo$link?>" method="POST" onsubmit="return valida();">
					 <input type="hidden" name="idempleado" value="<?echo $idemp;?>">
					 <input type="hidden" name="folio" value="<?echo $cod_;?>">
					 <input type="hidden" name="idobra" value="<?echo $palabra;?>">
					 <input type="hidden" name="palabra" value="<?echo $palabra;?>">
					 <input type="hidden" name="link" value="<?echo $link;?>">
					 <input type="hidden" name="nombre" value="<?echo $res['nombre'];?>">
				     <table class="tabla" style="width:100%;" border="0">
					 <tr>
					   <td colspan="5" class="titulo">Registro</td>
					  </tr>

					  <?	
						 //prototipos
				         $prot="select idprototipo,prototipo,paquete,noviviendas,tipoviv from prototipo where identificador='$res[identificador]'";
						 $ejeprot=mysql_query($prot);
						 $jj=1;
						 while($regpr=mysql_fetch_array($ejeprot)){?>					 
						   <tr>
							   <td><label for="prototipor<?echo$jj?>" class="dato"><?echo $regpr['prototipo']." ".$regpr['paquete']." ".$regpr['noviviendas']." ".$regpr['tipoviv']?></label></td>
				<td><input type="checkbox" name="prototipor" id="prototipor<?echo$jj?>" value="<?echo $regpr['idprototipo'];?>" onclick="javascript:prototipo();" class="pro"></td>
						   </tr>
						<?$jj++;}?>

					 
					 
						<tr>
						    <td colspan="5" class="sbtitulo">Requisicion</td>
						</tr>
						<tr>
						     <td class="dato">Fecha Solicitud: </td>
							 <td>
							     <input type="text" name="fi" id="fi" class="inputs" value="<?echo date('Y-m-d');?>" readonly>
							 </td>
						</tr>
						<tr>
						     <td class="dato">Solicita: </td>
							 <td>
							     <input type="text" name="nomsol" id="nomsol" class="inputs" onChange="javascript:this.value=this.value.toUpperCase();" autocomplete=off value="<?echo$nombresol;?>" readonly>
							 </td>
					    </tr>
						<tr>
						     <td class="dato">Observaciones: </td>
							 <td>
							     <input type="text" name="observ" id="observ" class="inputs" onChange="javascript:this.value=this.value.toUpperCase();" >
							 </td>
						</tr>
						<tr>
						    <td colspan="5" class="sbtitulo">Materiales</td>
						</tr>
						 <tr>
							<td  align="left" colspan="5">Material <a href="javascript:materialreq('material','prov')"><img src="img/mas.png" width="15"  height="15"></a></td>
							<input type="hidden" id="totus">
						</tr>
						 <tr id="prov">
							 <td colspan="5">
								 <table id="material" width="100%">
									 <tr>
										 <td width="150" align="center"><b>Material</b></td>
										 <td width="150" align="center"><b>Unidad</b></td>
										 <td width="150" align="center"><b>Cantidad</b></td>
										 <td width="150" align="center"><b>observaci&oacute;n</b></td>
										 <td width="150"><b>&nbsp;&nbsp;&nbsp;&nbsp;Quitar&nbsp;&nbsp;&nbsp;&nbsp;</b></td>
										 <td></td>
									 </tr>
								 </table>	
							 </td>
						 </tr>
						<tr>
							 <td colspan="2" align=""><br><input type="submit" name="registrarpre" id="registrarpre" value="Registrar" class="submit"></td>
					    </tr>						
					</table>		
				</form>	
 			
			</div>
			<div id="consultarreq" class="formHide2">
			      <table class="tabla" style="width:100%;">
					  <?	
						 //prototipos
				         $prot="select idprototipo,prototipo,paquete,noviviendas,tipoviv from prototipo where identificador='$res[identificador]'";
						 $ejeprot=mysql_query($prot);
						 $w=1;
						 while($regpr=mysql_fetch_array($ejeprot)){
						   $sqltot="select count(idsolmat) as tot from solicitudmaterial where idprototipo='$regpr[idprototipo]'";
						   $cuantos=mysql_query($sqltot);
						   $tot=mysql_fetch_array($cuantos);
						 ?>					 
						   <tr>
							   <td>
							      <label for="prototireq<?echo$w?>" class="dato"><?echo "(".$tot['tot'].")".$regpr['prototipo']." ".$regpr['paquete']." ".$regpr['noviviendas']." ".$regpr['tipoviv']?></label></td>
				               <td>
							     <input type="checkbox" name="prototireq" id="prototireq<?echo$w?>" value="<?echo $regpr['idprototipo'];?>" onclick="javascript:prototiporeq('<?echo $palabra;?>','<?echo $regpr[idprototipo];?>');" class="proreq">
							   </td>
						   </tr>
						<?$w++;}?>
				 </table>
				 <div id="versol"></div>
			</div>
			<div id="controlobra" class="formHide">
					  <table class="tabla" style="width:100%;" border="0">
						<tr>
						<td><a href="#" class="btntarea2" id="vreq" onclick="javascript:openForm2('verreq',this.id);"><img src="img/contratoIcon.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;">submenu 1</a><a href="#" class="btntarea2"  id="vero" onclick="javascript:openForm2('verobra',this.id);"><img src="img/buscar.png" style="position:absolute;margin-top:-1px;margin-left:-27px;width:20px;height:20px;">Ver</a><a href="#" onclicK="javascript:$('.formHide2').slideUp();$('.btntarAct3').removeClass('btntarAct3');" class="btnclose">x</a></td>
						</tr>
					 </table>
			</div>
			<div id="verobra" class="formHide2">
			      <table class="tabla" style="width:100%;">
					  <?	
						 //prototipos
				         $prot="select idprototipo,prototipo,paquete,noviviendas,tipoviv from prototipo where identificador='$res[identificador]'";
						 $ejeprot=mysql_query($prot);
						 $w=1;
						 while($regpr=mysql_fetch_array($ejeprot)){
						   $sqltot="select count(idsolmat) as tot from solicitudmaterial where idprototipo='$regpr[idprototipo]'";
						   $cuantos=mysql_query($sqltot);
						   $tot=mysql_fetch_array($cuantos);
						 ?>					 
						   <tr>
							   <td>
							      <label for="conto<?echo$w?>" class="dato"><?echo $regpr['prototipo']." ".$regpr['paquete']." ".$regpr['noviviendas']." ".$regpr['tipoviv']?></label>
							   </td>
				               <td>
							     <input type="checkbox" name="conto" id="conto<?echo$w?>" value="<?echo $regpr['idprototipo'];?>" onclick="javascript:controlobra('<?echo $palabra;?>','<?echo $regpr[idprototipo];?>');" class="co">
							   </td>
						   </tr>
						<?$w++;}?>
				 </table>
				 <div id="versol"></div>
			</div>
     <? 
    }
}else{
     ?>
	 <div class="resbusc"><center>No se encontraron resultados</center></div>
	 <?
}